Page MenuHomePhabricator

T9. When deleting board or topic, contributions should move from Contributions to DeletedContributions
Closed, ResolvedPublic5 Story Points

Event Timeline

Mattflaschen-WMF raised the priority of this task from to High.
Mattflaschen-WMF updated the task description. (Show Details)
DannyH set Security to None.Mar 2 2015, 7:11 PM
DannyH edited a custom field.

Change 198715 had a related patch set uploaded (by Matthias Mullie):
[WIP] Add Flow revisions to Special:DeletedContributions

https://gerrit.wikimedia.org/r/198715

Change 198716 had a related patch set uploaded (by Matthias Mullie):
Let extensions add entries to Special:DeletedContributions

https://gerrit.wikimedia.org/r/198716

Above patches will remove revisions for deleted posts from Special:Contributions, and show them in Special:DeletedContributions instead.

That's not all there's to it, though: I guess we also need to cascade these things?

  • If a board gets deleted, everything that was on the board should move to Special:DeletedContributions
  • If a topic gets deleted, all revisions for posts in the topic should move to Special:DeletedContributions

Right?

DannyH renamed this task from When deleting board or topic, contributions should move from Contributions to DeletedContributions to T9. When deleting board or topic, contributions should move from Contributions to DeletedContributions.Mar 25 2015, 7:37 PM

Above patches will remove revisions for deleted posts from Special:Contributions, and show them in Special:DeletedContributions instead.
That's not all there's to it, though: I guess we also need to cascade these things?

  • If a board gets deleted, everything that was on the board should move to Special:DeletedContributions
  • If a topic gets deleted, all revisions for posts in the topic should move to Special:DeletedContributions

Yes, and vice-versa for undeletion.

Merged these two patches, moving back into first column to finish the points raised above.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 30 2015, 8:16 PM

Change 198716 merged by jenkins-bot:
Let extensions add entries to Special:DeletedContributions

https://gerrit.wikimedia.org/r/198716

Change 198715 merged by jenkins-bot:
Add Flow revisions to Special:DeletedContributions

https://gerrit.wikimedia.org/r/198715

Change 200853 had a related patch set uploaded (by Matthias Mullie):
Show revisions from deleted boards in DeletedContribtions instead of Contributions

https://gerrit.wikimedia.org/r/200853

Mattflaschen-WMF merged a task: Restricted Task.Apr 2 2015, 8:26 PM

Change 200853 merged by jenkins-bot:
Show revisions from deleted boards in DeletedContribtions instead of Contributions

https://gerrit.wikimedia.org/r/200853

DannyH closed this task as Resolved.Apr 9 2015, 12:58 AM

Works on Beta